"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cls = require("cls-hooked");
const appClsNamespace = cls.createNamespace('InnotsApp');
class ClsService {
    static getTrace() {
        return appClsNamespace.get(ClsService.MDC_KEY);
    }
    static setTrace(trace) {
        appClsNamespace.set(ClsService.MDC_KEY, trace);
    }
    static async createCls(fn) {
        return await appClsNamespace.runPromise(fn);
    }
}
ClsService.MDC_KEY = 'mappedDiagnosticContext';
exports.ClsService = ClsService;
